/*
 * Copyright 
 *   2008 axYus - www.axyus.com
 *   2008 jp.tessier - jean-philippe.tessier@axyus.com
 * 
 * This file is part of XEMELIOS.
 * 
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.cp.xemelios.plugin.generatorEdmn;

import fr.gouv.finances.dgfip.xemelios.tools.AbstractTool;
import fr.gouv.finances.dgfip.xemelios.tools.MenuTitle;
import javax.swing.JFrame;

/**
 *
 * @author chm
 */
@MenuTitle(value = "Générateur de flux EDMN")
public class GenEdmn extends AbstractTool {
    private JFrame parentWindow;
    
    /** Creates a new instance of GenPesPjs */
    public GenEdmn() {
        super();
    }

    public void setParentWindow(JFrame parentWindow) {
        this.parentWindow=parentWindow;
    }

    public void run() {
        DlgGenEdmn genEdmn = new DlgGenEdmn(parentWindow,false);
        genEdmn.run();
    }
    public static void main(String[] args) {
    	DlgGenEdmn genEdmn = new DlgGenEdmn(null,false);
    	genEdmn.run();
    }
    
}
